@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap');

:root{
    --br-sm:0.35rem;
    --br:0.5rem;
    --br-lg:0.75rem;
    --footer:#17263a;
    --copyright: #22324a;
    --red: #e92920;
    --black: #191617;
    --green: #009155;
    --orange: #fbce07;
    --white: #fff;
    --light: #f7f7f7;
    --gradient: linear-gradient(to right, var(--orange), var(--red));
    --gradient-2: linear-gradient(to right, var(--green), var(--red));
}

html{
    scroll-behavior: smooth;
    scroll-padding-top: 5rem;
}
body{
    font-family: "DM Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    line-height: 2;
    overflow-x: hidden;
}
h2{
    font-weight: 600;
}
.btn{
    padding-inline: 1rem !important;
    border-radius: var(--br) !important;
    font-weight: 600 !important;
}
.btn-block{
    width: 100%;
    display: block;
}
.nav-link:not(.btn){
    color: var(--footer) !important;
    font-weight: 600;
}
a{
    text-decoration: none;
}
.btn{
    padding-inline: 1.5rem !important;
}
.btn-red{
    background-color: var(--red) !important;
    color: var(--white) !important;
    border: 1px solid var(--red);
}
.btn-outline-green{
    color: var(--green) !important;
    border: 1px solid var(--green);
}
.btn-green{
    background-color: var(--green) !important;
    color: var(--white) !important;
    border: 1px solid var(--green);
}
.btn-orange{
    background-color: var(--orange) !important;
    color: var(--footer) !important;
    border: 1px solid var(--footer);
}
.bg-green{
    background-color: var(--green);
}
.text-footer{
    color: var(--footer) !important;
}
.lc{
    display: -webkit-box;
    -webkit-box-orient: vertical;  
    overflow: hidden;
}
.lc-1{
    -webkit-line-clamp: 1;
}
.lc-2{
    -webkit-line-clamp: 2;
}
.lc-3{
    -webkit-line-clamp: 3;
}
.lc-4{
    -webkit-line-clamp: 4;
}
.fw-500{
    font-weight: 500;
}
.home-slider{
    background-image: url('../img/slider.svg');
    background-size: cover;
    position: relative;
}
.home-slider *{
    position: relative;
}
.home-slider h1{
    font-size: 4rem;
    font-weight: 700;
    color: transparent;
    background-image: var(--gradient);
    background-clip: text;
}
.home-slider .slider-desc{
    font-size: 1.25rem;
    margin: 1rem 0 2rem;
}
.step-card{
    padding: 1.5rem;
    position: relative;
    text-align: center;
    height: 100%;
    border-radius: var(--br-lg);
}
.contact-card{
    padding: 2rem;
}
.step-card *{
    position: relative;
    border-radius: var(--br);
    z-index: 10;
}
.step-card p{
    margin-bottom: 0;
}
.step-card h3{
    font-size: 1.35rem;
}
.step-card::before,.step-card::after{
    content: '';
    position: absolute;
}
.step-card::before{
    background-image: var(--gradient);
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    border-radius: var(--br);
}
.steps-c-number{
    background-image: var(--gradient);
    height: 2.5rem;
    width: 2.5rem;
    border-radius: 50%;
    color: var(--white);
    font-weight: 600;
    font-size: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto 1rem;
}
.step-card::after{
    background-color: var(--white);
    height: calc(100% - 4px);
    width: calc(100% - 4px);
    left: 2px;
    top: 2px;
    border-radius: calc(var(--br) - 2px);
}
.event-card{
    padding: 1.5rem;
    border-radius: var(--br-lg);
    background-color: var(--white);
    overflow: hidden;
    border: 2px solid var(--white);
}
.event-card h3{
    font-size: 1.5rem;
    font-weight: 600;
    background-image: var(--gradient-2);
    background-clip: text;
    color: transparent;
}
.text-gradient{
    font-size: 1.5rem;
    font-weight: 600;
    background-image: var(--gradient);
    background-clip: text;
    color: transparent;
    max-width: max-content;
}
.event-card-img{
    height: 12.5rem;
    margin: -1.5rem -1.5rem 1rem -1.5rem;
}
.dashboard-event {
    border: 1px solid #8884;
    margin: 0.25rem 0;
}
.dashboard-event .event-card-img{
    height: 8rem;
}
.event-card-img img{
    height: 100%;
    width: 100%;
    object-fit: cover;
}
.site-img-box{
    position: relative;
}
.site-img-box::before,.site-img-box::after{
    content: '';
    height: 8rem;
    width: 8rem;
    position: absolute;
}
.site-img-box img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--br-lg) 0;
}
.site-img-box::before{
    left: -10px;
    bottom: -10px;
    border-bottom: 10px solid var(--red);
    border-left: 10px solid var(--red);
    border-bottom-left-radius: var(--br-lg);
}
.site-img-box::after{
    right: -10px;
    top: -10px;
    border-top: 10px solid var(--green);
    border-right: 10px solid var(--green);
    border-top-right-radius: var(--br-lg);
}
.second-simg.site-img-box::before{
    border-color: var(--red);
}
.second-simg.site-img-box::after{
    border-color: var(--orange);
}
.fancy-ul{
    list-style: none;
    padding-left: 0;
}
.fancy-ul li{
    position: relative;
    line-height: 2.5;
    padding-left: 2rem;
}
.fancy-ul li::before{
    content: '';
    height: 1.25rem;
    width: 1.25rem;
    background-image: url('../img/fancy-ul.png');
    background-size: contain;
    background-position: center;
    position: absolute;
    left: 0;
    top: 0.5rem;
}
.internal-page-top{
    background-image: url('../img/internal-page.jpg');
    background-size: cover;
    color: var(--white);
    background-position: center;
    text-align: center;
    font-size: 1.25rem;
    background-color: #444a;
    background-blend-mode: multiply;
    padding-bottom: 5rem !important;
}
.internal-page-top h1{
    font-weight: 700;
    background-image: var(--gradient);
    margin: 0 auto 1rem;
    width: max-content;
    max-width: 100%;
    color: transparent;
    background-clip: text;
}
.steps-card-icon{
    height: 5rem;
    width: 5rem;
    border-radius: 50%;
    background-image: var(--gradient);
    font-size: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--white);
    margin: 0 auto 1rem;
}
.move-up-row{
    margin-top: -7rem;
    position: relative;
}



















footer{
    color: var(--light);
    font-size: 0.95rem;
}
footer ul{
    list-style: none;
    padding-left: 0;
    margin-bottom: 0;
}
.footer-main{
    background-color: var(--footer);
}
.copyright{
    background-color: var(--copyright);
}
.footer-socials{
    display: flex;
    gap: 1rem;
    justify-content: flex-end;
}
.footer-socials a{
    height: 1.75rem;
    width: 1.75rem;
    background-color: #cabea944;
    display: flex;
    align-items: center;
    justify-content: center;
    outline: 1px solid var(--brown);
    outline-offset: -2px;
    border-radius: var(--br-sm);
    color: var(--white);
    font-size: 0.8rem;
}
.footer-socials a i{
    margin-bottom: -0.125rem;
    display: block;
}
footer a{
    color: var(--white);
}
footer a:hover{
    color: var(--orange);
}
footer h3{
    font-size: 1.25rem;
    color: var(--white);
}


.modal-content{
    border-radius: var(--br-lg) !important;
    overflow: hidden;
    position: relative;
}
.modal-content h2{
    font-size: 1.25rem;
    font-weight: 600;
    margin-bottom: 0;
    color: var(--white);
}
.modal-header{
    background-color: var(--footer);
    border: none;
    padding-top: 0.5rem !important;
    padding-bottom: 0.65rem !important;
    position: relative;
    color: var(--white);
}
.modal-header .btn-close{
    filter:brightness(0) invert(1);
    position: absolute;
    right: 0.75rem;
    top: 0.75rem;
    outline: none;
    border: none;
    box-shadow: none;
}
.modal-body{
    padding: 1rem 1rem 0.25rem;
}
.footer-logo{
    width: 100px;
    filter: brightness(0) invert(1);
}
.form-control{
    box-shadow: none !important;
}
.form-control:disabled, .form-control[readonly] {
    background-color: var(--white) !important;
}
@media screen and (min-width:768px) {
    .hide-on-mobile{
        display: none;
    }
    nav .nav-item{
        margin: 0 0.5rem !important;
    }
    .home-slider{
        height: 600px;
        display: flex;
        align-items: center;
    }
}

@media screen and (max-width:767px) {
    body{
        font-size: 14px;
    }
    .home-slider-text-box{
        left: unset;
    }
    .navbar-collapse.collapse,.navbar-collapse.collapsing{
        height: 100vh !important;
        padding: 1rem;
        position: fixed !important;
        display: block;
        width: 300px;
        max-width: 100%;
        top: 0;
        background-color: var(--white);
        backdrop-filter: blur(10px);
        -webkit-backdrop-filter: blur(10px);
        transition: 0.25s ease left;
        transform-origin: left;
        right: -300px;
        z-index: 15;
        box-shadow: 0 0 10px #0002;
    }
    
    .navbar-collapse .btn{
        margin-bottom: 0.5rem;
    }
    .navbar-collapse.collapsing{
        left: -150px;
        transition: none;
    }
    .navbar-collapse.show,.navbar-collapse.collapsing{
        left: 0;
    }
    .navbar-toggler{
        border: none;
        box-shadow: none !important;
        outline: none;
        position: relative;
    }
    .close-mobile-menu{
        height: 2.5rem;
        width: 2.5rem;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 2.5rem;
        line-height: 0;
        background-color: transparent;
        box-shadow: none;
        border: none;
        outline: none;
        color: var(--white);
        font-weight: 100 !important;
        position: absolute;
        right: 0.25rem;
        top: 0;
        z-index: 10;
        padding: 0 !important;
    }
    .home-slider{
        padding: 2rem 0;
    }
    .home-slider h1{
        font-size: 2rem;
    }
    .number-input{
        margin: 1rem auto;
    }
    .mobile-score-card{
        border-bottom: 1px solid #0001;
    }
    .number-input button{
        display: block !important;
        height: 2rem !important;
        width: 2rem !important;
        font-size: 0.9rem !important;
        aspect-ratio: 1/1;
        padding: 0 !important;
    }
}
